Create operation block

NOTE: This v2 endpoint serves as a replacement for the v1 version.

Creates an operation block for a division or program. This block prevents transactions from being executed within the specified division or program, unless certain operations are explicitly allowed to bypass the restriction.

If neither division_code nor program_id is provided, the operation block is created for the whole organization.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Create operation block request body

string
required
length ≤ 100

Operations block description

string
length ≤ 36

Code used to identify your division within the organization. Division code should only contain letters, numbers, and hyphens.

int64
≤ 99999999999

Program ID. The program must belong to the organization. Use List programs to view a list of the program IDs for the organization.

This program must be bound to the division. You can attach the program with either of the following endpoints: Create division Patch division

allowed_operations
array of objects

List of operations allowed to bypass the block enforcement logic.

  • EARMARK_RELEASE: Release an earmark even when an operation block is active.
  • EARMARK_UPDATE: Update an earmark (set amount, increase, or decrease) while the account is blocked by an operation block.
  • PAYMENT_DEBIT: Execute a debit transaction while the account is blocked by an operation block.
  • PAYMENT_CREDIT: Execute a credit transaction while the account is blocked by an operation block.
  • PAYMENT_CONFIRM: Confirm a value transaction while the account is blocked by an operation block.
  • PAYMENT_CANCEL: Cancel an existing transaction while the account is blocked by an operation block.
  • ACCOUNT_STATUS_UPDATE: Change the account status and the associated status reason.
  • CHECK_POST: Post a check while the account is blocked by an operation block.
  • CHECK_RELEASE: Release an uncleared check or operation while the account is blocked by an operation block.
  • CHECK_CANCEL: Cancel an existing check while the account is blocked by an operation block.
  • RESTRICTED_FUNDS_CREATE: Hold a specified amount by transferring it from the available balance to restricted funds.
  • RESTRICTED_FUNDS_RELEASE: Release restricted funds from hold. This transfers funds from restricted funds back to available balance.
allowed_operations
Responses

401

Access token is missing or invalid

403

The request has been lost

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json